.TH FTP-SUSE.SH 1 "Nov 12 2002"

.SH NAME
ftp-suse.sh - charge un package pour la SuSE par ftp.

.SH SYNOPSIS
.TP
 \fBftp\-suse.sh\fP [\fI-s\fP] \fIpackage\fP
.SH DESCRIPTION

\fBftp-suse.sh\fP charge le(s) package(s) \fIpackage\fP sur le site ftp de la
distribution SuSE. Cela permet de trouver rapidemant le package sur le
site, en le cherchant dans tous les repertoires.

.SH OPTIONS


.TP
\fBpackage\fP designe le nom du package a charger. Ce nom servira de modele pour le nom du package a charger. Par exemple, 'bind' donnera comme packages 'kpa1/kcmbind.rpm', 'n1/bind.rpm', 'n1/bind8.rpm', 'n1/bind9.rpm', 'n1/bindutil.rpm', 'zq1/bind.spm', 'zq1/bind8.spm', 'zq1/bind9.spm' ou encore 'zq1/kcmbind.spm'. 
.TP
\fB-s\fP permet d'effectuer une recherche dans l'index pour avoir une description de chaque package trouve. 

.SH EXEMPLE

.LP
.RS
.nf
.ft B
$ ftp-suse.sh bind
.ft R
.fi
.RE
.br
.ne 10
.LP
cherche tous les packages dont le nom contient 'bind', affiche la liste
des packages trouves et demande si il faut les charger ou non.a
.LP
.RS
.nf
.ft B
$ ftp-suse.sh -s bind
.ft R
.fi
.RE
.br
.ne 10
.LP
affiche la description des packages dont le nom contient 'bind'.

.SH FICHIERS

.TP 20
.I /tmp/INDEX.SuSE.root
le fichier contenant l'index de la racine
sur le serveur FTP.
.TP 20
.I /tmp/INDEX.SuSE
le fichier d'index de tous les packages et de leur
descriptions, utilise avec l'option [-s]. Si ce fichier n'existe pas, il
est construit, sinon rien n'est charge.
.TP 20
.I /etc/SuSE-release
le fichier contanant la version de la SuSE
enployee (voir section suivante).
.LP
.SH FORCER LA VERSION DE LA SUSE

Si le systeme utilise n'est pas la SuSE sur laquelle on souhaite installer
les packages, on peut le forcer a fonctionner en changant dans le script
la variable \fBVersion\fP par le numero de la version de la SuSE souhaitee.
Par exemple : Version="7.0"

.SH REQUIERE

ftp

.SH AUTEUR

Mathieu DECORE \fB<mdecore@linux-france.org>\fP. Merci d'envoyer toute correction,
suggestion, critique, insulte a cette adresse.

